Lookup Markets
curl --request GET \
--url https://api.rivermarkets.com/v1/markets/lookup \
--header 'X-River-Key-Id: <api-key>' \
--header 'X-River-Signature: <api-key>' \
--header 'X-River-Timestamp: <api-key>'import requests
url = "https://api.rivermarkets.com/v1/markets/lookup"
headers = {
"X-River-Key-Id": "<api-key>",
"X-River-Timestamp": "<api-key>",
"X-River-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-River-Key-Id': '<api-key>',
'X-River-Timestamp': '<api-key>',
'X-River-Signature': '<api-key>'
}
};
fetch('https://api.rivermarkets.com/v1/markets/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"river_id": 123,
"exchange_value": 123,
"exchange_name": "<string>",
"tick_size_price": 123,
"tick_size_qty": 123,
"minimum_order_size": 123,
"neg_risk": true,
"name": "<string>",
"ticker": "<string>",
"token_id_yes": "<string>",
"token_id_no": "<string>",
"slug": "<string>",
"tick_structure": "uniform",
"expiration_datetime": "<string>",
"start_datetime": "<string>",
"neg_risk_id": "<string>",
"condition_id": "<string>",
"subtitle": "<string>",
"description": "<string>",
"category": "Other",
"subcategory": "<string>",
"rank": 123,
"event_ticker": "<string>",
"event_title": "<string>",
"volume": 123,
"volume_24h": 123,
"series_ticker": "<string>",
"image": "<string>",
"last_price": 123,
"primary_entity_name": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Markets
Lookup Markets
Batch lookup markets by river_ids.
GET
/
v1
/
markets
/
lookup
Lookup Markets
Authorizations
SignedRequestKeyId & SignedRequestTimestamp & SignedRequestSignatureBearerAuth
UUID of your API key (from Settings → API Keys).
Current unix seconds. Must be within 30s of server time.
Base64 Ed25519 signature over the canonical request: METHOD\nPATH\nSORTED_QUERY\nTIMESTAMP\nSHA256(body) hex. See /api-reference/authentication for the full recipe.
Query Parameters
Comma-separated list of river IDs
Response
Successful Response
Schema for batch market lookup response.
Show child attributes
Show child attributes
⌘I

